public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/persistent/
@ 2023-02-05  1:21 Julien Roy
  0 siblings, 0 replies; 4+ messages in thread
From: Julien Roy @ 2023-02-05  1:21 UTC (permalink / raw
  To: gentoo-commits

commit:     843270a82a6e4dd90f9afc43870c5ab6f5025360
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Sun Feb  5 00:19:58 2023 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Sun Feb  5 00:19:58 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=843270a8

dev-python/persistent: new package, add 5.0

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 dev-python/persistent/Manifest              |  1 +
 dev-python/persistent/metadata.xml          | 22 ++++++++++++++
 dev-python/persistent/persistent-5.0.ebuild | 47 +++++++++++++++++++++++++++++
 3 files changed, 70 insertions(+)

diff --git a/dev-python/persistent/Manifest b/dev-python/persistent/Manifest
new file mode 100644
index 000000000..0a549eccc
--- /dev/null
+++ b/dev-python/persistent/Manifest
@@ -0,0 +1 @@
+DIST persistent-5.0.gh.tar.gz 115137 BLAKE2B 6d84cc1e81f033349b9943bb02376f58baccffebe1d7747da687dde6ad0a15f225c0f45c80aacd4de4dc15009f6502e0c0ea5e90d6697c5d1eaa0528dca2691a SHA512 561c339574817f70d1e5b091d77e3cd7a876a49742938591cfffdf4ec5a6ae23b4a7b4e7ff7d90d15763ce9485c093ff019699364952974e9ffe4da88bcf293f

diff --git a/dev-python/persistent/metadata.xml b/dev-python/persistent/metadata.xml
new file mode 100644
index 000000000..9f90159f6
--- /dev/null
+++ b/dev-python/persistent/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<name>Julien Roy</name>
+		<email>julien@jroy.ca</email>
+	</maintainer>
+	<longdescription>
+	This package contains a generic persistence implementation for Python. It forms the core protocol for making objects interact "transparently" with a database such as the ZODB.
+	</longdescription>
+	<upstream>
+		<maintainer>
+			<name>Zope Foundation and Contributors</name>
+			<email>zope-dev@zope.org</email>
+		</maintainer>
+		<bugs-to>https://github.com/zopefoundation/persistent/issues</bugs-to>
+		<changelog>https://github.com/zopefoundation/persistent/blob/master/CHANGES.rst</changelog>
+		<doc>https://persistent.readthedocs.io/en/stable</doc>
+		<remote-id type="github">zopefoundation/persistent</remote-id>
+		<remote-id type="pypi">persistent</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-python/persistent/persistent-5.0.ebuild b/dev-python/persistent/persistent-5.0.ebuild
new file mode 100644
index 000000000..9e9d5b614
--- /dev/null
+++ b/dev-python/persistent/persistent-5.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="automatic persistence for Python objects"
+HOMEPAGE="https://github.com/zopefoundation/persistent"
+SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/cffi[${PYTHON_USEDEP}]
+	dev-python/zope-interface[${PYTHON_USEDEP}]
+	doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/manuel[${PYTHON_USEDEP}]
+		dev-python/zope-testrunner[${PYTHON_USEDEP}]
+	)
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_unpack() {
+	default
+	# Fix broken test
+	sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
+	# Disable tests that fail
+	sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
+		"${S}/src/persistent/tests/test_persistence.py" || die
+	sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
+		"${S}/src/persistent/tests/test_persistence.py" || die
+}
+
+src_test() {
+	cd "${S}/src/persistent" || die
+	distutils-r1_src_test
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/persistent/
@ 2023-10-06 20:43 Julien Roy
  0 siblings, 0 replies; 4+ messages in thread
From: Julien Roy @ 2023-10-06 20:43 UTC (permalink / raw
  To: gentoo-commits

commit:     ac09209c74a8e7f9b5db7f06ab0e60e7fa0f69da
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Fri Oct  6 20:39:51 2023 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Fri Oct  6 20:39:51 2023 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ac09209c

dev-python/persistent: add 5.1

Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 dev-python/persistent/Manifest              |  1 +
 dev-python/persistent/persistent-5.1.ebuild | 47 +++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/persistent/Manifest b/dev-python/persistent/Manifest
index 0a549ecccd..6a8bc19514 100644
--- a/dev-python/persistent/Manifest
+++ b/dev-python/persistent/Manifest
@@ -1 +1,2 @@
 DIST persistent-5.0.gh.tar.gz 115137 BLAKE2B 6d84cc1e81f033349b9943bb02376f58baccffebe1d7747da687dde6ad0a15f225c0f45c80aacd4de4dc15009f6502e0c0ea5e90d6697c5d1eaa0528dca2691a SHA512 561c339574817f70d1e5b091d77e3cd7a876a49742938591cfffdf4ec5a6ae23b4a7b4e7ff7d90d15763ce9485c093ff019699364952974e9ffe4da88bcf293f
+DIST persistent-5.1.gh.tar.gz 115547 BLAKE2B a7793f6af1ee975db0fffc9c41b7d2394cf9e02f9c012be28538db8356510b52c89fe41bccd6abba296f6c2915633dccbbe4d534fb9a3bfebcc891e6afc532d1 SHA512 1dfeefa0437d37b075b9fdbec7a2e7cc8e7bb665b46e384204bf922fe13fc4280a6e0b419d97c9899725db478ac8589ed7f22887f267e58f418baa26f921e318

diff --git a/dev-python/persistent/persistent-5.1.ebuild b/dev-python/persistent/persistent-5.1.ebuild
new file mode 100644
index 0000000000..13865178d7
--- /dev/null
+++ b/dev-python/persistent/persistent-5.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="automatic persistence for Python objects"
+HOMEPAGE="https://github.com/zopefoundation/persistent"
+SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+	dev-python/cffi[${PYTHON_USEDEP}]
+	dev-python/zope-interface[${PYTHON_USEDEP}]
+	doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+	test? (
+		dev-python/manuel[${PYTHON_USEDEP}]
+		dev-python/zope-testrunner[${PYTHON_USEDEP}]
+	)
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_unpack() {
+	default
+	# Fix broken test
+	sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
+	# Disable tests that fail
+	sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
+		"${S}/src/persistent/tests/test_persistence.py" || die
+	sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
+		"${S}/src/persistent/tests/test_persistence.py" || die
+}
+
+src_test() {
+	cd "${S}/src/persistent" || die
+	distutils-r1_src_test
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/persistent/
@ 2024-01-04  1:03 Julien Roy
  0 siblings, 0 replies; 4+ messages in thread
From: Julien Roy @ 2024-01-04  1:03 UTC (permalink / raw
  To: gentoo-commits

commit:     01a17dc4c481c1de2ee8f31d3809f973973b2441
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Wed Jan  3 23:55:54 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Thu Jan  4 01:02:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=01a17dc4

dev-python/persistent: drop 5.0

Closes: https://bugs.gentoo.org/893384
Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 dev-python/persistent/Manifest              |  1 -
 dev-python/persistent/persistent-5.0.ebuild | 47 -----------------------------
 2 files changed, 48 deletions(-)

diff --git a/dev-python/persistent/Manifest b/dev-python/persistent/Manifest
index 6a8bc19514..e86a484487 100644
--- a/dev-python/persistent/Manifest
+++ b/dev-python/persistent/Manifest
@@ -1,2 +1 @@
-DIST persistent-5.0.gh.tar.gz 115137 BLAKE2B 6d84cc1e81f033349b9943bb02376f58baccffebe1d7747da687dde6ad0a15f225c0f45c80aacd4de4dc15009f6502e0c0ea5e90d6697c5d1eaa0528dca2691a SHA512 561c339574817f70d1e5b091d77e3cd7a876a49742938591cfffdf4ec5a6ae23b4a7b4e7ff7d90d15763ce9485c093ff019699364952974e9ffe4da88bcf293f
 DIST persistent-5.1.gh.tar.gz 115547 BLAKE2B a7793f6af1ee975db0fffc9c41b7d2394cf9e02f9c012be28538db8356510b52c89fe41bccd6abba296f6c2915633dccbbe4d534fb9a3bfebcc891e6afc532d1 SHA512 1dfeefa0437d37b075b9fdbec7a2e7cc8e7bb665b46e384204bf922fe13fc4280a6e0b419d97c9899725db478ac8589ed7f22887f267e58f418baa26f921e318

diff --git a/dev-python/persistent/persistent-5.0.ebuild b/dev-python/persistent/persistent-5.0.ebuild
deleted file mode 100644
index 13865178d7..0000000000
--- a/dev-python/persistent/persistent-5.0.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="automatic persistence for Python objects"
-HOMEPAGE="https://github.com/zopefoundation/persistent"
-SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
-	dev-python/cffi[${PYTHON_USEDEP}]
-	dev-python/zope-interface[${PYTHON_USEDEP}]
-	doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
-	test? (
-		dev-python/manuel[${PYTHON_USEDEP}]
-		dev-python/zope-testrunner[${PYTHON_USEDEP}]
-	)
-"
-DEPEND="${RDEPEND}"
-
-distutils_enable_sphinx docs
-distutils_enable_tests unittest
-
-src_unpack() {
-	default
-	# Fix broken test
-	sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
-	# Disable tests that fail
-	sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
-		"${S}/src/persistent/tests/test_persistence.py" || die
-	sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
-		"${S}/src/persistent/tests/test_persistence.py" || die
-}
-
-src_test() {
-	cd "${S}/src/persistent" || die
-	distutils-r1_src_test
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: dev-python/persistent/
@ 2024-01-04  2:21 Julien Roy
  0 siblings, 0 replies; 4+ messages in thread
From: Julien Roy @ 2024-01-04  2:21 UTC (permalink / raw
  To: gentoo-commits

commit:     1b4f882a86b8e11e4709edb1c30e17b7994813e5
Author:     Julien Roy <julien <AT> jroy <DOT> ca>
AuthorDate: Thu Jan  4 02:14:14 2024 +0000
Commit:     Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Thu Jan  4 02:14:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1b4f882a

dev-python/persistent: treeclean

Closes: https://bugs.gentoo.org/913599
Signed-off-by: Julien Roy <julien <AT> jroy.ca>

 dev-python/persistent/Manifest              |  1 -
 dev-python/persistent/metadata.xml          | 22 --------------
 dev-python/persistent/persistent-5.1.ebuild | 47 -----------------------------
 3 files changed, 70 deletions(-)

diff --git a/dev-python/persistent/Manifest b/dev-python/persistent/Manifest
deleted file mode 100644
index e86a484487..0000000000
--- a/dev-python/persistent/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST persistent-5.1.gh.tar.gz 115547 BLAKE2B a7793f6af1ee975db0fffc9c41b7d2394cf9e02f9c012be28538db8356510b52c89fe41bccd6abba296f6c2915633dccbbe4d534fb9a3bfebcc891e6afc532d1 SHA512 1dfeefa0437d37b075b9fdbec7a2e7cc8e7bb665b46e384204bf922fe13fc4280a6e0b419d97c9899725db478ac8589ed7f22887f267e58f418baa26f921e318

diff --git a/dev-python/persistent/metadata.xml b/dev-python/persistent/metadata.xml
deleted file mode 100644
index 9f90159f6b..0000000000
--- a/dev-python/persistent/metadata.xml
+++ /dev/null
@@ -1,22 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-	<maintainer type="person">
-		<name>Julien Roy</name>
-		<email>julien@jroy.ca</email>
-	</maintainer>
-	<longdescription>
-	This package contains a generic persistence implementation for Python. It forms the core protocol for making objects interact "transparently" with a database such as the ZODB.
-	</longdescription>
-	<upstream>
-		<maintainer>
-			<name>Zope Foundation and Contributors</name>
-			<email>zope-dev@zope.org</email>
-		</maintainer>
-		<bugs-to>https://github.com/zopefoundation/persistent/issues</bugs-to>
-		<changelog>https://github.com/zopefoundation/persistent/blob/master/CHANGES.rst</changelog>
-		<doc>https://persistent.readthedocs.io/en/stable</doc>
-		<remote-id type="github">zopefoundation/persistent</remote-id>
-		<remote-id type="pypi">persistent</remote-id>
-	</upstream>
-</pkgmetadata>

diff --git a/dev-python/persistent/persistent-5.1.ebuild b/dev-python/persistent/persistent-5.1.ebuild
deleted file mode 100644
index 13865178d7..0000000000
--- a/dev-python/persistent/persistent-5.1.ebuild
+++ /dev/null
@@ -1,47 +0,0 @@
-# Copyright 2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="automatic persistence for Python objects"
-HOMEPAGE="https://github.com/zopefoundation/persistent"
-SRC_URI="https://github.com/zopefoundation/persistent/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
-
-LICENSE="ZPL"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND="
-	dev-python/cffi[${PYTHON_USEDEP}]
-	dev-python/zope-interface[${PYTHON_USEDEP}]
-	doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
-	test? (
-		dev-python/manuel[${PYTHON_USEDEP}]
-		dev-python/zope-testrunner[${PYTHON_USEDEP}]
-	)
-"
-DEPEND="${RDEPEND}"
-
-distutils_enable_sphinx docs
-distutils_enable_tests unittest
-
-src_unpack() {
-	default
-	# Fix broken test
-	sed -i -e 's/from \.\./from persistent/' "${S}/src/persistent/tests/test_ring.py" || die
-	# Disable tests that fail
-	sed -z -i -e "s/def test__p_repr_exception.*_p_repr failed')>\")//g" \
-		"${S}/src/persistent/tests/test_persistence.py" || die
-	sed -z -i -e "s/def test__p_repr_in_instance_ignored.*repr(p)//g" \
-		"${S}/src/persistent/tests/test_persistence.py" || die
-}
-
-src_test() {
-	cd "${S}/src/persistent" || die
-	distutils-r1_src_test
-}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-01-04  2:21 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-04  2:21 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/persistent/ Julien Roy
  -- strict thread matches above, loose matches on Subject: below --
2024-01-04  1:03 Julien Roy
2023-10-06 20:43 Julien Roy
2023-02-05  1:21 Julien Roy

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox